APT invalid signatures on Debian Etch 4.0

Discussion in 'Installation/Configuration' started by djbill, Feb 21, 2013.

  1. djbill

    djbill New Member

    Hi to all, i need help to solve the following problem with my Debian Etch 4.0 Server.

    When I do an update of the packages, APT say some errors. I have "keyring" packages installed.

    Output of command "apt-get update"
    Code:
    Fetched 121kB in 0s (470kB/s)
    Reading package lists... Done
    W: GPG error: http://archive.debian.org etch/updates Release: The following signatures were invalid: KEYEXPIRED 1356982504
    W: GPG error: http://archive.debian.org etch/volatile Release: The following signatures were invalid: KEYEXPIRED 1358963195
    W: GPG error: http://archive.debian.org etch/volatile-sloppy Release: The following signatures were invalid: KEYEXPIRED 1358963195
    W: You may want to run apt-get update to correct these problems
    
    Output of command "cat /etc/apt/sources.list"
    Code:
    deb http://archive.debian.org/debian/ etch main non-free contrib
    deb-src http://archive.debian.org/debian/ etch main non-free contrib
    
    deb http://archive.debian.org/debian-security/ etch/updates main non-free contrib
    
    deb http://archive.debian.org/debian-volatile/ etch/volatile main non-free contrib
    deb http://archive.debian.org/debian-volatile/ etch/volatile-sloppy main non-free contrib
    
    deb http://archive.debian.org/debian-backports/ etch-backports main non-free contrib
    
    Output of command "dpkg --get-selections | grep keyring"
    Code:
    debian-archive-keyring                          install
    debian-backports-keyring                        install
    debian-edu-archive-keyring                      install
    debian-keyring                                  install
    
    Thank you in advance.
     
  2. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    I think you can simply comment out those lines in your sources.list as there will be no more updates and volatile packages for Etch.
     

Share This Page